import up from '@/assets/welcome/up.png'
import down from '@/assets/welcome/down.png'
import './style.less'


import { createFromIconfontCN } from '@ant-design/icons';


const WCard = (props) => {
  const { value } = props
  //隔三位加一个逗号
  function toThousands(num) {
    return (num || 0).toString().replace(/(\d)(?=(?:\d{3})+$)/g, '$1,');
  }
  const MyIcon = createFromIconfontCN({
    scriptUrl: '//at.alicdn.com/t/font_2904679_h2r1om69sid.js', // 在 iconfont.cn 上生成
  });
  return (
    <div className='wcard'>
      <MyIcon type={value.icon} className='wImg' style={{ color: value.color }} />
      <div className='wright'>
        <div className='title'>{value.title}</div>
        <div className='value'>{toThousands(value.value)}</div>
        <div className='percentage'><img className='wicon' src={value.percentage > 0 ? up : down} />同比上月&nbsp;&nbsp;{Math.abs(value.percentage)}%</div>
      </div>
    </div>
  )
}
export default WCard