import ProCard from '@ant-design/pro-card';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import BasicInfo from './components/BasicInfo';
import DeviceInfo from './components/DeviceInfo';
import './style.less';

export default (props) => {
  const { location } = props;
  const { id } = location.query;

  return (
    <PageHeaderWrapper>
      <ProCard tabs={{ type: 'card' }} style={{ minHeight: '700px' }}>
        <ProCard.TabPane key={1} tab="基本信息">
          <BasicInfo id={id} />
        </ProCard.TabPane>
        <ProCard.TabPane key={2} disabled={!id} tab="设备信息">
          <DeviceInfo machineryId={id} />
        </ProCard.TabPane>
      </ProCard>
    </PageHeaderWrapper>
  );
};
