import ruralMarkerImg from '@/assets/images/screen/map-rural.png';

export default function getRuralMarker(AMap, map, opts = {}) {
  const marker = new AMap.Marker({
    icon: ruralMarkerImg,
    anchor: 'top-center',
    offset: new AMap.Pixel(0, 0),
    ...opts,
  });

  // 合作社数据
  const { name, address, machineryNum, phone } = opts?.extData;

  marker.setLabel({
    direction: 'top',
    offset: new AMap.Pixel(0, 0),
    content: `
    <div class='geo-map-rural-box' >
      <div class="borderBox"><span class='geo-map-rural-text-span borderBox'>名 称</span>：${name}</div>
      <div class="borderBox"><span class='geo-map-rural-text-span borderBox'>地 址</span>：${address}</div>
      <div class="borderBox">农机数量：${machineryNum || 0} 辆</div>
      <div class="borderBox">联系电话：${phone}</div>
    </div>`,
  });

  return marker;
}
